<p style="text-align:center;">
  <a href="https://www.shanghaitech.edu.cn/">
    <img alt="ShanghaiTech" src="https://static.igem.wiki/teams/5174/repo-readme/shanghaitech-logo.svg" width="60" style="vertical-align: middle;" />
  </a>
  <a href="https://www.gatsbyjs.com/">
    <img alt="Gatsby" src="https://static.igem.wiki/teams/5174/repo-readme/gatsby-logo.svg" width="60" style="vertical-align: middle;" />
  </a>
  <a href="https://react.dev/">
    <img alt="React" src="https://static.igem.wiki/teams/5174/repo-readme/react-logo.svg" width="60" style="vertical-align: middle;" />
  </a>
  <a href="https://www.typescriptlang.org/">
    <img alt="TypeScript" src="https://static.igem.wiki/teams/5174/repo-readme/typescript-logo.svg" width="60" style="vertical-align: middle;" />
  </a>
</p>


# ShanghaiTech - iGEM 2024 Wiki Repository


## Getting Started

### Prerequisites

- [Node.js](https://nodejs.org/en/download/)
  - For managing dependencies
  - For local running web server
  - LTS version is recommended
  - Using Prebuilt Installer is recommended for Windows
  - Using `nvm` is recommended for Linux and MacOS

- [Git](https://git-scm.com/downloads)
  - For cloning the repository
  - For version control

### Running the Project

1. Clone the repository
    ```bash
    git clone https://gitlab.igem.org/2024/shanghaitech-china.git
    ```
2. Navigate to the project directory
    ```bash
    cd shanghaitech-china
    ```
    Or you may renamed the directory
    ```bash
    cd <renamed-directory-name>
    ```
    
3. Install dependencies
    ```bash
    npm install
    ```

4. Start the development server if you choose to install `gatsby-cli` globally by `npm install -g gatsby-cli` you can run the following command:
    ```bash
    gatsby develop
    ```
    Otherwise, you can run:
    ```bash
    npm run develop
    ```

5. The site is now running at `http://localhost:8000` if nothing is running on port 8000 already, otherwise, it will be running on the next available port.


## What's Next

Plans are covered in [Gitlab Milestones](https://gitlab.igem.org/2024/shanghaitech-china/-/milestones).

    
## Technical Stack

### Gatsby
- [Documentation](https://www.gatsbyjs.com/docs/?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)
- [Tutorials](https://www.gatsbyjs.com/docs/tutorial/?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)
- [Guides](https://www.gatsbyjs.com/docs/how-to/?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)
- [API Reference](https://www.gatsbyjs.com/docs/api-reference/?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)
- [Plugin Library](https://www.gatsbyjs.com/plugins?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)
- [Cheat Sheet](https://www.gatsbyjs.com/docs/cheat-sheet/?utm_source=starter&utm_medium=readme&utm_campaign=minimal-starter-ts)

### React

- [Tutorials](https://react.dev/learn)
- [API Reference](https://react.dev/reference/react)
- [Community](https://react.dev/community)

### TypeScript

- [Documentation](https://www.typescriptlang.org/docs/)
- [Playground](https://www.typescriptlang.org/play)
